#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-7g0WOqsXYNgFCb6O4KsUhX
key:                  tree-diff-0.3.0.1-7g0WOqsXYNgFCb6O4KsUhX
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  1d3783fd6ef20fba3853775425529513
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-7g0WOqsXYNgFCb6O4KsUhX
depends:
    QuickCheck-2.14.3-2FUI0ycZlrbG7BkVMiUKvc
    aeson-2.1.2.1-3SHm0QLDkzeAZY7TeIq3Kg
    ansi-terminal-0.11.4-EPVjDSBhsFM2RMZf92XUfK
    ansi-wl-pprint-0.6.9-EqB2Myc0l69Hoo8bpSR8ux base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-71m0qUbz0GPK2XPFn43oUy
    deepseq-1.4.6.1 hashable-1.4.3.0-4gqtyFKn8Wu9OwsZtyYGdt
    parsec-3.1.15.0 parsers-0.12.11-KKZCd67Ne3jJeBuhqWF0up
    pretty-1.1.3.6 primitive-0.7.4.0-IuAkHfsD4drDvErljoigXB
    scientific-0.3.7.0-72r9rPpXaeUjwM4XNBSJR
    semialign-1.2.0.1-24hnn1UBsbt6ltcBUEzzsm
    strict-0.4.0.1-8fW7XUfSKdE9ES0MRmItlx
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg text-1.2.5.0
    these-1.1.1.1-7HvnClT7h5dIAMyFmorY7V time-1.11.1.1
    unordered-containers-0.2.20-8WFaf62MVyiL1uC2m0h0zY
    uuid-types-1.0.5.1-691n74WzEz83OQppKbDCaE
    vector-0.13.1.0-FuSYSqJEiCU51oStZmHlCe

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

